package com.mogo.cloud.tanlu.bean;

import android.text.TextUtils;

import java.io.Serializable;

/**
 * @author lixiaopeng
 * @description
 * @since 2021/1/20
 */
public class MarkerExploreWayItemCloud implements Serializable {
    private String thumbnail;
    private String url;
    private String content;
    private double illegalCount;

    public String getThumbnail() {
        if (TextUtils.isEmpty(thumbnail)) {
            return "";
        }
        return thumbnail;
    }

    public void setThumbnail(String thumbnail) {
        this.thumbnail = thumbnail;
    }

    public String getUrl() {
        if (TextUtils.isEmpty(url)) {
            return "";
        }
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public double getIllegalCount() {
        return illegalCount;
    }

    public void setIllegalCount(double illegalCount) {
        this.illegalCount = illegalCount;
    }

    @Override
    public String toString() {
        return "MarkerExploreWayItem{" +
                "thumbnail='" + thumbnail + '\'' +
                ", url='" + url + '\'' +
                ", content='" + content + '\'' +
                ", illegalCount='" + illegalCount + '\'' +
                '}';
    }
}
